#include <bits/stdc++.h>
using namespace std;

int main(){
int n,d=1,x1=0,x2=0;
cin>>n;
vector <char> s;
vector <int> v,vr;
for(int i=0;i<n;i++){
int x;
cin>>x;
if(x==-1){
x1=x;
}
if(x==1){
x2=x;
}
v.push_back(x);
vr.push_back(abs(x));
}	

sort(v.begin(),v.end());
sort(vr.begin(),vr.end());
if(n%2==0){
if(x1!=0 && x2!=0){
d=1;
s.push_back('1');
}
else{
while(d!=n){
d++;
s.push_back('1');
s.push_back('2');
}
}
}
else{
if(x1!=0 && x2!=0){
d=1;
s.push_back('1');
}
else{
auto it=upper_bound(v.begin(),v.end(),0);
x1=*it;
auto m=upper_bound(v.begin(),v.end(),v[0]);
x2=*m;
if(x1==x2){
while(d!=n){
d++;
if(d%2!=0){
s.push_back('2');
}
else if(d%2==0){
s.push_back('1');
}
}
}
else{
d++;
if(d%2!=0){
s.push_back('1');
}
else{
s.push_back('2');
}
}
}
}

cout<<d<<endl;
for(int i=0;i<s.size();i++){
cout<<s[i];
}
return 0;	
}